package domain

type AlibabaWdkCouponTemplateUpdateCouponTemplateOptionConfig struct {
	/*
	   外部优惠券模板id     */
	OutCouponTemplateId *string `json:"out_coupon_template_id,omitempty" `

	/*
	   外部优惠券类型     */
	OutCouponType *string `json:"out_coupon_type,omitempty" `

	/*
	   优惠券logo url     */
	LogoUrl *string `json:"logo_url,omitempty" `

	/*
	   券图片     */
	PictureUrl *string `json:"picture_url,omitempty" `

	/*
	   采买者id     */
	PurchaseId *int64 `json:"purchase_id,omitempty" `

	/*
	   合同id     */
	ContractInstanceId *int64 `json:"contract_instance_id,omitempty" `
}

func (s *AlibabaWdkCouponTemplateUpdateCouponTemplateOptionConfig) SetOutCouponTemplateId(v string) *AlibabaWdkCouponTemplateUpdateCouponTemplateOptionConfig {
	s.OutCouponTemplateId = &v
	return s
}
func (s *AlibabaWdkCouponTemplateUpdateCouponTemplateOptionConfig) SetOutCouponType(v string) *AlibabaWdkCouponTemplateUpdateCouponTemplateOptionConfig {
	s.OutCouponType = &v
	return s
}
func (s *AlibabaWdkCouponTemplateUpdateCouponTemplateOptionConfig) SetLogoUrl(v string) *AlibabaWdkCouponTemplateUpdateCouponTemplateOptionConfig {
	s.LogoUrl = &v
	return s
}
func (s *AlibabaWdkCouponTemplateUpdateCouponTemplateOptionConfig) SetPictureUrl(v string) *AlibabaWdkCouponTemplateUpdateCouponTemplateOptionConfig {
	s.PictureUrl = &v
	return s
}
func (s *AlibabaWdkCouponTemplateUpdateCouponTemplateOptionConfig) SetPurchaseId(v int64) *AlibabaWdkCouponTemplateUpdateCouponTemplateOptionConfig {
	s.PurchaseId = &v
	return s
}
func (s *AlibabaWdkCouponTemplateUpdateCouponTemplateOptionConfig) SetContractInstanceId(v int64) *AlibabaWdkCouponTemplateUpdateCouponTemplateOptionConfig {
	s.ContractInstanceId = &v
	return s
}
